package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "Post",
            Router: `/`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "GetAll",
            Router: `/`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "Put",
            Router: `/:id`,
            AllowHTTPMethods: []string{"put"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "Get",
            Router: `/:id`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/:id`,
            AllowHTTPMethods: []string{"delete"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "AddPeer",
            Router: `/:id/peer/:id2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "RemovePeer",
            Router: `/:id/peer/:id2`,
            AllowHTTPMethods: []string{"delete"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "AddRule",
            Router: `/:id/rule/:id2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "RemoveRule",
            Router: `/:id/rule/:id2`,
            AllowHTTPMethods: []string{"delete"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "RemoveWorkflow",
            Router: `/:id/workflow/:id2`,
            AllowHTTPMethods: []string{"delete"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "AddWorkflow",
            Router: `/:id/workflow/:id2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "AddWorkspace",
            Router: `/:id/workspace/:id2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "RemoveWorkspace",
            Router: `/:id/workspace/:id2`,
            AllowHTTPMethods: []string{"delete"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:CollaborativeAreaController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search/:search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:RuleController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:RuleController"],
        beego.ControllerComments{
            Method: "Post",
            Router: `/`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:RuleController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:RuleController"],
        beego.ControllerComments{
            Method: "GetAll",
            Router: `/`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:RuleController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:RuleController"],
        beego.ControllerComments{
            Method: "Put",
            Router: `/:id`,
            AllowHTTPMethods: []string{"put"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:RuleController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:RuleController"],
        beego.ControllerComments{
            Method: "Get",
            Router: `/:id`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:RuleController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:RuleController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/:id`,
            AllowHTTPMethods: []string{"delete"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:RuleController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:RuleController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search/:search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:VersionController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:VersionController"],
        beego.ControllerComments{
            Method: "GetAll",
            Router: `/`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-shared/controllers:VersionController"] = append(beego.GlobalControllerRouter["oc-shared/controllers:VersionController"],
        beego.ControllerComments{
            Method: "Status",
            Router: `/status`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
